import { Compiler, Plugin } from 'webpack';
import { IModuleMinifierPluginHooks } from './ModuleMinifierPlugin.types';
/**
 * Plugin that replaces `Promise.all([__webpack_require__.e(1), __webpack_require__.e(12)]).then(__webpack_require__.t.bind(123,7))`
 * with more concise expressions like `__webpack_require__.ee([1,12],123,7)`, etc.
 *
 * Also ensures that the code seen by the minifier does not contain chunk ids, and is therefore portable across chunks/compilations.
 */
export declare class AsyncImportCompressionPlugin implements Plugin {
    private readonly _minifierHooks;
    constructor(minifierHooks: IModuleMinifierPluginHooks);
    apply(compiler: Compiler): void;
}
//# sourceMappingURL=AsyncImportCompressionPlugin.d.ts.map